using GraphicsManager.Enums;
using Luski.GUI.MainScreen.UI.LuskiControls.SettingsMenuBase;
using Luski.GUI.MainScreen.UI.LuskiControls.SettingsMenuBase.Core;
using Luski.GUI.MainScreen.UI.PublicServers.ServerSettings.Pages.Server.Roles;
using Luski.net;

namespace Luski.GUI.MainScreen.UI.PublicServers.ServerSettings;

public class PublicServerSettingsMenu : SettingsMenu
{
    public PublicServerSettingsMenu(PublicServer ps) : base("Server Settings - Luski")
    {
        SettingsCategory<PublicServerSettingsMenu> ServerCat = new(ps.Name, this);
        Roles srp;
        PageTab cb = ServerCat.AddPage(srp = new(ps)
        {
            BackgroundColor = base.BackgroundColor
        });
        Controls.Add(srp);
        fl.Controls.Add(ServerCat);
        cb.ToggleSelected().Wait();
        Anchor = ObjectAnchor.All;
        Controls.Add(fl);
    }
}